PATCH /commerce/{accountId}/baskets/{basketId}/customer

Path parameters

  • accountId string Required

    Default value is 668e4aa170efd23c474b2ad1.

  • basketId string Required
application/json

Body

  • name string
  • companyName string
  • email string
  • phoneNumber string
  • externalId string
  • tin string

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • id string
    • created string
    • updated string
    • deleted boolean

      Default value is true.

    • etag string
    • accountId string
    • storeId string
    • currency string
    • taxExclusive boolean

      Default value is true.

    • status string
    • items array[object]
      Hide items attributes Show items attributes object
      • menuId string
      • plu string
      • name string
      • quantity integer

        Default value is 0.

      • price integer

        Default value is 0.

      • gross integer

        Default value is 0.

      • taxes array
      • net integer

        Default value is 0.

      • subItems array[object]
        Hide subItems attributes Show subItems attributes object
        • customizationPlu string
        • plu string
        • name string
        • quantity integer

          Default value is 0.

        • price integer

          Default value is 0.

        • subItems array
      • discounts array
      • discountTotal integer

        Default value is 0.

    • payment object
      Hide payment attributes Show payment attributes object
      • tips array
      • discountsTotal integer

        Default value is 0.

      • taxTotal integer

        Default value is 0.

      • tipTotal integer

        Default value is 0.

      • total integer

        Default value is 0.

    • customer object
      Hide customer attributes Show customer attributes object
      • name string
      • companyName string
      • phoneNumber string
      • email string
      • externalId string
      • tin string
      • loyaltyProviderCustomerId string
    • fulfillment object
      Hide fulfillment attribute Show fulfillment attribute object
      • type string
    • taxes array
    • discounts array
  • 400 application/json

    400

PATCH /commerce/{accountId}/baskets/{basketId}/customer
curl \
 --request PATCH 'https://api.staging.deliverect.com/commerce/{accountId}/baskets/{basketId}/customer' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"tin":"123456789","name":"John Doe","email":"john.doe@acme.com","externalId":"crm-id-1234","companyName":"ACME","phoneNumber":"+3211223344","loyaltyProviderCustomerId":"17dh89"}'
Request example
{
  "tin": "123456789",
  "name": "John Doe",
  "email": "john.doe@acme.com",
  "externalId": "crm-id-1234",
  "companyName": "ACME",
  "phoneNumber": "+3211223344",
  "loyaltyProviderCustomerId": "17dh89"
}
Response examples (200)
{
  "id": "6643782d0c1914c93a846834",
  "etag": "f4c8f20eeb23206c2bc8cf66c2843a6efaa3eaaf",
  "items": [
    {
      "net": 3800,
      "plu": "STK-01",
      "name": "Delicious Steak Frites",
      "gross": 3800,
      "price": 1500,
      "taxes": [],
      "menuId": "62d7f77f64c95193cc29aa91",
      "quantity": 2,
      "subItems": [
        {
          "plu": "DRNK-01",
          "name": "Coca Cola",
          "price": 400,
          "quantity": 1,
          "subItems": [],
          "customizationPlu": "MOD-01"
        }
      ],
      "discounts": [],
      "discountTotal": 0
    },
    {
      "net": 1500,
      "plu": "STK-01",
      "name": "Delicious Steak Frites",
      "gross": 1500,
      "price": 1500,
      "taxes": [],
      "menuId": "62d7f77f64c95193cc29aa91",
      "quantity": 1,
      "subItems": [],
      "discounts": [],
      "discountTotal": 0
    }
  ],
  "taxes": [],
  "status": "open",
  "created": "2024-05-14T14:41:49.738000+00:00",
  "deleted": false,
  "payment": {
    "tips": [],
    "total": 5300,
    "taxTotal": 0,
    "tipTotal": 0,
    "discountsTotal": 0
  },
  "storeId": "65eee6a9984a1bc1b9637c59",
  "updated": "2024-05-14T14:41:49.754000+00:00",
  "currency": "EUR",
  "customer": {
    "tin": "123456789",
    "name": "John Doe",
    "email": "john.doe@acme.com",
    "externalId": "crm-id-1234",
    "companyName": "ACME",
    "phoneNumber": "+3211223344",
    "loyaltyProviderCustomerId": "17dh89"
  },
  "accountId": "65c35d109a19b819b7cf78d8",
  "discounts": [],
  "fulfillment": {
    "type": "pickup"
  },
  "taxExclusive": false,
  "channelLinkId": "65eee6a9984a1bc1b9637c59",
  "channelOrderId": null,
  "channelOrderDisplayId": null
}
Response examples (400)
{}